API ReferenceTicket
Retrieves the collection of TicketMessage resources
GET
Retrieves the collection of TicketMessage resources
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringTicket identifier
Format
uuidpage?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30order[createdAt]?stringDefault
"asc"Value in
"asc""desc"TicketMessage collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/ticket/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08/ticket-messages'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "isIncoming": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "ticketFiles": [ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "path": "string", "previewImageUrl": "string", "type": "ticket-message", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" } ], "isAttachmentSizeExceeded": true }]